Contents

# RGB Function

Returns a Long integer color value consisting of red, green, and blue components.

### Syntax:

    RGB (Red, Green, Blue)

### Return value:

Long

### Parameters:

red: Any integer expression that represents the red component (0-255) of the composite color.

green: Any integer expression that represents the green component (0-255) of the composite color.

blue: Any integer expression that represents the blue component (0-255) of the composite color.

The resulting Long value is calculated with the following formula:
Result = red×65536 + green×256 + blue.

Under VBA compatibility mode (Option VBASupport 1), the Long value is calculated as
Result = red + green×256 + blue×65536
See RGB Function [VBA]

The color picker dialog helps computing red, green and blue components of a composite color. Changing the color of text and selecting Custom color displays the color picker dialog.

### Error codes:

5 잘못된 프로시저 호출입니다.

### Example:

    Sub ExampleColor
    Dim lVar As Long
        lVar = rgb(128,0,200)
        MsgBox "색상은 " & lVar & "다음과 같이 구성됩니다:" & Chr(13) &_
            "red= " & red(lVar) & Chr(13)&_
            "green= " & green(lVar) & Chr(13)&_
            "blue= " & blue(lVar) & Chr(13) , 64,"colors"
    End Sub